MakeMCLookbackEngine< I, RNG, S > Class Template Reference

Monte Carlo lookback-option engine factory. More...

`#include <ql/pricingengines/lookback/mclookbackengine.hpp>`

## Public Member Functions

| MakeMCLookbackEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &)
MakeMCLookbackEngine & | withSteps (Size steps)
MakeMCLookbackEngine & | withStepsPerYear (Size steps)
MakeMCLookbackEngine & | withBrownianBridge (bool b=true)
MakeMCLookbackEngine & | withAntitheticVariate (bool b=true)
MakeMCLookbackEngine & | withSamples (Size samples)
MakeMCLookbackEngine & | withAbsoluteTolerance (Real tolerance)
MakeMCLookbackEngine & | withMaxSamples (Size samples)
MakeMCLookbackEngine & | withSeed (BigNatural seed)
| operator ext::shared_ptr< PricingEngine > () const

## Detailed Description

### template<class I, class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MakeMCLookbackEngine< I, RNG, S >

Monte Carlo lookback-option engine factory.